use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'App::ZofCMS::Plugin::RandomPasswordGenerator',
    license             => 'perl',
    dist_author         => q|Zoffix <'zoffix@cpan.org'>|,
    dist_version_from   => 'lib/App/ZofCMS/Plugin/RandomPasswordGenerator.pm',
    build_requires => {
        'Test::More' => 0,
    },
    build_recommends => {
        'App::ZofCMS::Test::Plugin' => 0.0104,
    },
    requires => {
        'App::ZofCMS::Plugin::Base' => 0.0102,
        'Data::SimplePassword'      => 0.04,
        'Digest::MD5'               => 2.36,
        'perl' => '5.006', 
    },
    configure_requires => { 'Module::Build' => 0 },
    add_to_cleanup      => [ 'App-ZofCMS-Plugin-RandomPasswordGenerator-*' ],
    create_makefile_pl => 'traditional',
);

$builder->create_build_script();
